> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/pdia-data-integration/9.3-data-integration/pdi-transformation-steps-reference-overview/copybook-input-pdi-step/use-error-handling-copybook-input-step.md).

# Use Error Handling

The JSON object is placed in the error description field within the error row. **Error handling** must be enabled on the step to capture the error columns and descriptions. On the canvas, right-click the Copybook Input step and select **Error Handling** to open the Step error handling settings window and configure the error output column names. See the [Use the Transformation menu](/pdia-data-integration/9.3-data-integration/data-integration-perspective-in-the-pdi-client/work-with-transformations-cp/use-the-transformation-menu.md) for details.

The following table details the JSON object format for the output error stream.

| Key        | Type    | Example                                  | Description                                                   |
| ---------- | ------- | ---------------------------------------- | ------------------------------------------------------------- |
| record     | Integer | 0                                        | The record number originating from the Copybook Input step.   |
| converter  | String  | BigNumberColumnConverter                 | The converter class that originated the error.                |
| exception  | String  | RecordException                          | The exception class of the error.                             |
| message    | String  | Invalid sign in field: OPEN-YEAR         | The error message text, if it exists.                         |
| fieldName  | String  | OPEN-YEAR                                | The name of field that has the error.                         |
| position   | Integer | 22                                       | The position of the field.                                    |
| length     | Integer | 3                                        | The length of the field.                                      |
| value      | String  | 404040                                   | The value read as a hexadecimal string.                       |
| recordHash | String  | 240c992c3aaebccf6dc0e99a4ed1a447e4811bed | The record checksum originating from the Copybook Input step. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pentaho.com/pdia-data-integration/9.3-data-integration/pdi-transformation-steps-reference-overview/copybook-input-pdi-step/use-error-handling-copybook-input-step.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
